;***************************************************************************
;*	Ce fichier contient le code de d‚marrage pour faire un fichier
;*	executable contenant plusieur segment s‚par‚
;*
;* Programm‚ par S‚bastien Granjoux
;* Commenc‚ le ??/??/94
;* Modification le 1/11/94

IDEAL

MODEL	SMALL
EXTRN	main:near

CODESEG

	mov	bx,ss
	mov	ax,es
	sub	bx,ax
	mov	ax,sp
	add	ax,15
	shr	ax,4
	add	bx,ax

	mov	ah,4ah	; rend la m‚moire inutilis‚
	int	21h

	mov	ax,_DATA
	mov	ds,ax

	call	main  		; le programme peut renvoyer un code d'erreur dans AL

	mov	ah,4Ch
	int	21h

END